$grad-start-color: #288DB0;
$grad-end-color: #434A54;

.noauth-popup-modal {
  display: flex;
  position: absolute;
  width: 100%;
  z-index: 5000;
  border-radius: 4px;
  box-shadow: 0 8px 8px 0 rgba(0, 0, 0, .24);

  background: -moz-linear-gradient(-45deg, $grad-end-color 0%, $grad-start-color 100%);
  background: -webkit-gradient(left top, right bottom, color-stop(0%, $grad-end-color), color-stop(100%, $grad-start-color));
  background: -webkit-linear-gradient(-45deg, $grad-end-color 0%, $grad-start-color 100%);
  background: -o-linear-gradient(-45deg, $grad-end-color 0%, $grad-start-color 100%);
  background: -ms-linear-gradient(-45deg, $grad-end-color 0%, $grad-start-color 100%);
  background: linear-gradient(135deg, $grad-end-color 0%, $grad-start-color 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=''$grad-end-color'', endColorstr=''$grad-start-color'', GradientType=1 );

  .mdl-textfield {
    width: 100%;
    margin: 0 0 32px 0;
    padding: 0;
  }

  .mdl-textfield__input {
    padding: 8px 0;
  }

  ::-webkit-input-placeholder {
    font-family: $Rubik-Font;
    font-weight: 500;
    font-size: 16px;
    color: rgba(255,255,255,0.80);
    line-height: 18px;
  }
  ::-moz-placeholder {
    font-family: $Rubik-Font;
    font-weight: 500;
    font-size: 16px;
    color: rgba(255,255,255,0.80);
    line-height: 18px;
  }
  /* Firefox 19+ */
  :-moz-placeholder {
    font-family: $Rubik-Font;
    font-weight: 500;
    font-size: 16px;
    color: rgba(255,255,255,0.80);
    line-height: 18px;
  }
  /* Firefox 18- */
  :-ms-input-placeholder {
    font-family: $Rubik-Font;
    font-weight: 500;
    font-size: 16px;
    color: rgba(255,255,255,0.80);
    line-height: 18px;
  }

  .noauth-popup-modal-box {
    display: flex;

    flex-direction: column;
    width: 100%;

    label {
      font-family: $Rubik-Font;
      font-weight: 400;
      font-size: 12px;
      color: rgba(255, 255, 255, 0.80);
      line-height: 18px;
    }
    .title {
      font-family: $Rubik-Font;
      font-weight: 500;
      font-size: 14px;
      color: #fff;
      line-height: 17px;
      padding: 20px 0 17px 23px;
    }
    .title-delimiter {
      width: 100%;
      border: none;
      height: 2px;
      margin: 0;
      background: #27A2CE;
    }
    .form-box {
      padding: 54px 8px 0 8px;

      .mdl-textfield__input {
        font-family: $Rubik-Font;
        font-weight: 500;
        font-size: 14px;
        color: rgba(255,255,255,0.80);
        line-height: 18px;

        border-bottom: 2px solid rgba(39,162,206,0.24);
      }
    }
    .noauth-popup-modal-footer {
      display: flex;

      flex-direction: column;
      align-items: flex-end;
      padding: 0 0 24px 0;
    }
  }
}

@media all and (min-width: 865px) {
  .noauth-popup-modal {
    max-width: 470px;
    margin: 80px 24px 60px 80px;

    .noauth-popup-modal-body {
      padding: 0 50px 0 0;
    }
    .noauth-popup-modal-footer .btn {
      max-width: 228px;
      width: 100%;
    }

    .noauth-popup-modal-box {
      .title {
        padding: 20px 0 17px 60px;
      }
      .title:after {
        content: '';
        position: absolute;
        border-radius: 4px;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 9px 16px 9px 0;
        border-color: rgba(0, 0, 0, 0) $grad-end-color rgba(0, 0, 0, 0) rgba(0, 0, 0, 0);
        left: -15px;
      }

      .form-box {
        padding: 54px 14px 0 64px;
        .mdl-textfield__input { font-size: 16px; }
      }
    }
  }
}

@media all and (max-width: 864px) {
  .noauth-popup-modal {
    .noauth-popup-modal-footer .btn {
      max-width: 100%;
      width: 100%;
    }
  }
}
